<?php

namespace App\Modules\ExternalUserPassenger\Domain;

interface ExternalUserPassengerRepository
{

    public function index(IdExternalUserPassenger $id);
    public function find($IdExternalUser, string $action);
    public function insert(ExternalUserPassenger $value);
    public function update(ExternalUserPassenger $value);
    public function delete(IdExternalUserPassenger $id);
}
